var/list/Guilds
mob/var/guild/Guild
guild
	var
		name
		list/members
	New(mob/M,nme)
		members = list()
		name = nme
		members += M
		M.Guild = src
		members[M] = "Leader"
	Del()
		members -= GetLeader()
		for(var/mob/M in members) RemoveMember(M)
		..()
	proc/AddMember(mob/M)
		if(M in members) return
		members += M
		M.Guild = src
		SetRank(M,"Member")
	proc/RemoveMember(mob/M)
		if(GetLeader() == M)
			del src
		else
			members -= M
			M.Guild = null
	proc/SwapLeadership(mob/NewLeader)
		if(!(NewLeader in members)||!NewLeader)return
		var/NewLeader_index = members.Find(NewLeader)
		var/mob/M = GetLeader()
		members.Swap(1,NewLeader_index)
		SetRank(M,"Member")
	proc/SetRank(mob/M,rank)
		if(!M||!rank) return
		switch(lowertext(rank))
			if("leader") {M << "It's not possible to make him a leader, as you are one already!";return}
//			if("member") Uncomment this line and ;
//				insert verb attribuition here for members
		members[M] = rank
	proc/GetLeader()
		return members[1]

proc/GetMobs(client/Owner)
	.=list()
	for(var/client/C)
		if(C==Owner||(C.mob in Owner.mob.Guild)) continue
		. += C.mob