mob/verb
	Talk(t as text)
		world << "[Guild ? "([Guild.name] - [Guild.members[src]]) " :][src] says: [t]"

	CreateGuild(nme as text)
		if(!Guilds) Guilds = list()
		for(var/guild/A in Guilds)
			if(A.name == nme)
				src << "A guild already exists with that name, please try again.";return
		Guilds += new/guild(src,nme)
		verbs -= /mob/verb/CreateGuild
		verbs += typesof(/mob/guild/verb)

mob/guild/verb
	Invite()
		var/list/Mobs = GetMobs(client)
		if(!Mobs.len){src << "There are no mobs online that you can invite.";return}
		var/mob/M = input(src,"Which person would you like to invite?") as null|anything in Mobs
		if(!M) return
		switch(alert(M,"Would you like to join [Guild.name] owned by [Guild.GetLeader()] ?","","Yes","No"))
			if("Yes")
				Guild.AddMember(M)
				M.verbs -= /mob/verb/CreateGuild
			else src << "[M] has refused your invitation."
	Leave()
		Guild.RemoveMember(src)
		verbs -= typesof("/mob/guild/verb")
		verbs += /mob/verb/CreateGuild
	SwapLeader()
		if(Guild.members.len<=1) {src << "No players from your guild are currently online.";return}
		var/mob/NewLeader = input(src,"Which person would you like to\
give Leader status to?")as null|anything in Guild.members-src
		if(!NewLeader) return
		Guild.SwapLeadership(NewLeader)
		NewLeader.verbs += typesof("/mob/guild/verb")
	ChangeRank()
		if(Guild.members.len<=1) {src << "No players from your guild are currently online.";return}
		var/mob/M = input(src,"Who's rank do you wish to change?") in Guild.members-src
		if(!M) return
		var/rank = input(src,"What do you wish to be [M]'s rank?") as null|text
		if(!rank) return
		Guild.SetRank(M,rank)